Chromium Code Reviews
Help | Chromium Project | Sign in
(144)

Issue 7488023: [Mac] Add two-finger gesture support for Lion, which respects the system preference. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 10 months ago by Robert Sesek
Modified:
3 years, 10 months ago
CC:
chromium-reviews
Visibility:
Public.

Description

[Mac] Add two-finger gesture support for Lion, which respects the system preference. BUG=78676 TEST=With two-finger gestures enabled, swipe left/right with two fingers. Page goes back/forward. Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=93720

Patch Set 1 #

Total comments: 11

Patch Set 2 : '' #

Patch Set 3 : Forward declare #

Patch Set 4 : SDK forward-declare #

Unified diffs Side-by-side diffs Delta from patch set Stats (+128 lines, -2 lines) Patch
M chrome/browser/ui/cocoa/browser_window_controller.h View 2 chunks +6 lines, -1 line 0 comments Download
M chrome/browser/ui/cocoa/browser_window_controller.mm View 1 2 4 chunks +93 lines, -1 line 0 comments Download
M chrome/browser/ui/cocoa/browser_window_controller_private.h View 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/browser/ui/cocoa/browser_window_controller_private.mm View 2 chunks +25 lines, -0 lines 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 11 (0 generated)
Robert Sesek
3 years, 10 months ago (2011-07-22 20:07:02 UTC) #1
Nico
LGTM Nice! http://codereview.chromium.org/7488023/diff/1/chrome/browser/ui/cocoa/browser_window_controller.mm File chrome/browser/ui/cocoa/browser_window_controller.mm (right): http://codereview.chromium.org/7488023/diff/1/chrome/browser/ui/cocoa/browser_window_controller.mm#newcode1713 chrome/browser/ui/cocoa/browser_window_controller.mm:1713: // gesture does not do this, so ...
3 years, 10 months ago (2011-07-22 20:21:13 UTC) #2
Robert Sesek
http://codereview.chromium.org/7488023/diff/1/chrome/browser/ui/cocoa/browser_window_controller.mm File chrome/browser/ui/cocoa/browser_window_controller.mm (right): http://codereview.chromium.org/7488023/diff/1/chrome/browser/ui/cocoa/browser_window_controller.mm#newcode1713 chrome/browser/ui/cocoa/browser_window_controller.mm:1713: // gesture does not do this, so it must ...
3 years, 10 months ago (2011-07-22 20:26:23 UTC) #3
Nico
http://codereview.chromium.org/7488023/diff/1/chrome/browser/ui/cocoa/browser_window_controller_private.mm File chrome/browser/ui/cocoa/browser_window_controller_private.mm (right): http://codereview.chromium.org/7488023/diff/1/chrome/browser/ui/cocoa/browser_window_controller_private.mm#newcode559 chrome/browser/ui/cocoa/browser_window_controller_private.mm:559: // C) Swipe with two or three fingers. On ...
3 years, 10 months ago (2011-07-22 20:30:08 UTC) #4
Robert Sesek
On 2011/07/22 20:30:08, Nico wrote: > I understood this. I was wondering if we would ...
3 years, 10 months ago (2011-07-22 21:03:04 UTC) #5
Nico
Say, does this break horizontal scrolling on web pages that need it?
3 years, 10 months ago (2011-07-22 23:16:03 UTC) #6
Robert Sesek
On 2011/07/22 23:16:03, Nico wrote: > Say, does this break horizontal scrolling on web pages ...
3 years, 10 months ago (2011-07-22 23:16:35 UTC) #7
roarke.randall
When I use Safari, my two finger swipes have the reverse affect as the swipes ...
3 years, 10 months ago (2011-07-27 06:50:37 UTC) #8
mike.dacre
On 2011/07/27 06:50:37, roarke.randall wrote: > When I use Safari, my two finger swipes have ...
3 years, 10 months ago (2011-07-27 22:20:47 UTC) #9
Nico
On Wed, Jul 27, 2011 at 3:20 PM, <mike.dacre@gmail.com> wrote: > On 2011/07/27 06:50:37, roarke.randall ...
3 years, 10 months ago (2011-07-27 22:21:52 UTC) #10
Robert Sesek
3 years, 10 months ago (2011-07-27 22:22:37 UTC) #11
Stop commenting here. That issue has already been resolved.
On Jul 27, 2011 6:20 PM, <mike.dacre@gmail.com> wrote:
> On 2011/07/27 06:50:37, roarke.randall wrote:
>> When I use Safari, my two finger swipes have the reverse affect as the
>> swipes
> in
>> this implementation. Swiping to the right is going back, and to the left
>> is
>> forward. Technically, I think this difference should be decided based on
> whether
>> or not "natural" scrolling is in use.
>
> Yes, this is an issue. Great job with this rsesek, but in Lion apple have
> move
> to a 'same direction on trackpad as on screen model' - i.e. two finger
> swipe to
> the right goes back and swipe to the left goes forward (generally with a
> cool
> little animation). The current dev channel chrome does the reverse,
> implementing the old model of 'swipe left, go back'. Irrespective of
> philosophical questions of whether apple is nuts on this point, the
current
> dev
> channel chrome behavior is different from the behavior in other apps.
>
> http://codereview.chromium.org/7488023/
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be